xine-lib: bluray_input_plugin_t Struct Reference

xine-lib 1.2.12

Data Fields
bluray_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
bluray_input_class_t * | class
xine_stream_t * | stream
xine_event_queue_t * | event_queue
xine_osd_t * | osd [2]
XINE_BD_ARGB_BUFFER | osd_buf
char * | mrl
char * | disc_root
char * | disc_name
BLURAY * | bdh
const BLURAY_DISC_INFO * | disc_info
const META_DL * | meta_dl
int | num_title_idx
int | current_title_idx
int | num_titles
int | current_title
BLURAY_TITLE_INFO * | title_info
pthread_mutex_t | title_info_mutex
unsigned int | current_clip
time_t | still_end_time
int | pg_stream
uint8_t | nav_mode: 1
uint8_t | error: 1
uint8_t | menu_open: 1
uint8_t | stream_flushed: 1
uint8_t | stream_reset_done: 1
uint8_t | demux_action_req: 1
uint8_t | end_of_title: 1
uint8_t | pg_enable: 1
uint8_t | has_video: 1
int | mouse_inside_button

## Field Documentation

## ◆ bdh

BLURAY* bluray_input_plugin_t::bdh

## ◆ class

bluray_input_class_t* bluray_input_plugin_t::class

## ◆ current_clip

unsigned int bluray_input_plugin_t::current_clip

## ◆ current_title

int bluray_input_plugin_t::current_title

## ◆ current_title_idx

int bluray_input_plugin_t::current_title_idx

## ◆ demux_action_req

uint8_t bluray_input_plugin_t::demux_action_req

## ◆ disc_info

const BLURAY_DISC_INFO* bluray_input_plugin_t::disc_info

## ◆ disc_name

char* bluray_input_plugin_t::disc_name

## ◆ disc_root

char* bluray_input_plugin_t::disc_root

## ◆ end_of_title

uint8_t bluray_input_plugin_t::end_of_title

## ◆ error

uint8_t bluray_input_plugin_t::error

## ◆ event_queue

xine_event_queue_t* bluray_input_plugin_t::event_queue

## ◆ has_video

uint8_t bluray_input_plugin_t::has_video

## ◆ input_plugin

input_plugin_t bluray_input_plugin_t::input_plugin

## ◆ menu_open

uint8_t bluray_input_plugin_t::menu_open

## ◆ meta_dl

const META_DL* bluray_input_plugin_t::meta_dl

## ◆ mouse_inside_button

int bluray_input_plugin_t::mouse_inside_button

## ◆ mrl

char* bluray_input_plugin_t::mrl

## ◆ nav_mode

uint8_t bluray_input_plugin_t::nav_mode

## ◆ num_title_idx

int bluray_input_plugin_t::num_title_idx

## ◆ num_titles

int bluray_input_plugin_t::num_titles

## ◆ osd

xine_osd_t* bluray_input_plugin_t::osd[2]

## ◆ osd_buf

XINE_BD_ARGB_BUFFER bluray_input_plugin_t::osd_buf

## ◆ pg_enable

uint8_t bluray_input_plugin_t::pg_enable

## ◆ pg_stream

int bluray_input_plugin_t::pg_stream

## ◆ still_end_time

time_t bluray_input_plugin_t::still_end_time

## ◆ stream

xine_stream_t* bluray_input_plugin_t::stream

## ◆ stream_flushed

uint8_t bluray_input_plugin_t::stream_flushed

## ◆ stream_reset_done

uint8_t bluray_input_plugin_t::stream_reset_done

## ◆ title_info

BLURAY_TITLE_INFO* bluray_input_plugin_t::title_info

## ◆ title_info_mutex

pthread_mutex_t bluray_input_plugin_t::title_info_mutex

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_bluray.c